# Uses of Annotation Interface
org.apache.datasketches.common.SuppressFBWarnings

Packages that use SuppressFBWarnings
Package
Description
org.apache.datasketches.common
This package is for common classes that may be used across all the sketch families.
org.apache.datasketches.cpc
Compressed Probabilistic Counting sketch family
org.apache.datasketches.frequencies
This package contains the implementations of the paper https://arxiv.org/abs/1705.07001.
org.apache.datasketches.theta
The theta package contains the basic sketch classes that are members of the Theta-Sketch Framework.
org.apache.datasketches.tuple
The tuple package contains a number of sketches based on the same fundamental algorithms of the Theta Sketch Framework and extend these concepts for whole new families of sketches.
org.apache.datasketches.tuple.arrayofdoubles
This package is for a concrete implementation of the Tuple sketch for an array of double values.

## Uses of SuppressFBWarnings in org.apache.datasketches.common

Methods in org.apache.datasketches.common with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`int`
Family.`getID()`
Returns the byte ID for this family

## Uses of SuppressFBWarnings in org.apache.datasketches.cpc

Constructors in org.apache.datasketches.cpc with annotations of type SuppressFBWarnings
Modifier
Constructor
Description
``
`CompressionCharacterization(int lgMinK, int lgMaxK, int lgMinT, int lgMaxT, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)`
Only used in test.
``
`CpcWrapper(MemorySegment seg)`
Construct a read-only view of the given MemorySegment that contains a CpcSketch
``
`MergingValidation(int lgMinK, int lgMaxK, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)`
Constructor
``
`QuickMergingValidation(int lgMinK, int lgMaxK, int incLgK, PrintStream ps, PrintWriter pw)`
Constructor
``
`StreamingValidation(int lgMinK, int lgMaxK, int trials, int ppoN, PrintStream pS, PrintWriter pW)`
Constructor

## Uses of SuppressFBWarnings in org.apache.datasketches.frequencies

Classes in org.apache.datasketches.frequencies with annotations of type SuppressFBWarnings
Modifier and Type
Class
Description
`class`
`FrequentLongsSketch`
This sketch is based on the paper https://arxiv.org/abs/1705.07001 ("A High-Performance Algorithm for Identifying Frequent Items in Data Streams" by Daniel Anderson, Pryce Bevan, Kevin Lang, Edo Liberty, Lee Rhodes, and Justin Thaler) and is useful for tracking approximate frequencies of long items with optional associated counts (long item, long count) that are members of a multiset of such items.

## Uses of SuppressFBWarnings in org.apache.datasketches.theta

Methods in org.apache.datasketches.theta with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`UpdatableThetaSketch`
UpdatableThetaSketchBuilder.`buildShared(MemorySegment dstSeg)`
Returns a concurrent shared UpdatableThetaSketch with the current configuration of the Builder and the given destination MemorySegment.
`UpdatableThetaSketch`
UpdatableThetaSketchBuilder.`buildSharedFromSketch(UpdatableThetaSketch sketch, MemorySegment dstSeg)`
Returns a direct (potentially off-heap) concurrent shared UpdatableThetaSketch with the current configuration of the Builder, the data from the given sketch, and the given destination MemorySegment.

## Uses of SuppressFBWarnings in org.apache.datasketches.tuple

Methods in org.apache.datasketches.tuple with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`static <S extends Summary>
CompactTupleSketch<S>`
TupleAnotB.`aNotB(TupleSketch<S> skA, ThetaSketch skB)`
Returns the A-and-not-B set operation on a TupleSketch and a ThetaSketch.
`static <S extends Summary>
CompactTupleSketch<S>`
TupleAnotB.`aNotB(TupleSketch<S> skA, TupleSketch<S> skB)`
Returns the A-and-not-B set operation on the two given TupleSketches.

## Uses of SuppressFBWarnings in org.apache.datasketches.tuple.arrayofdoubles

Methods in org.apache.datasketches.tuple.arrayofdoubles with annotations of type SuppressFBWarnings
Modifier and Type
Method
Description
`void`
ArrayOfDoublesAnotBImpl.`update(ArrayOfDoublesSketch skA, ArrayOfDoublesSketch skB)`